An error that is returned, when to many request are submitted at once

### Hierarchy

- SCError
  - SCTooManyRequestsErrorResponse

### Implements

- SCErrorResponse

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack
- statusCode

## Constructors

### constructor

- new SCTooManyRequestsErrorResponse(stack?: undefined | false | true): SCTooManyRequestsErrorResponse

- Overrides SCError.constructor

  - Defined in node_modules/@openstapps/core/lib/index.d.ts:920

  Create a SCTooManyRequestsErrorResponse

  #### Parameters

  - ##### Optional stack: undefined | false | true

    Set to true if a stack trace should be created

  #### Returns SCTooManyRequestsErrorResponse

## Properties

### message

message: string

Implementation of SCErrorResponse.message

Inherited from SCError.message

- Defined in node_modules/@openstapps/core/lib/index.d.ts:857

### name

name: string

Implementation of SCErrorResponse.name

Inherited from SCError.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:856

### Optional stack

stack: undefined | string

Implementation of SCErrorResponse.stack

Inherited from SCError.stack

- Defined in node_modules/@openstapps/core/lib/index.d.ts:862

Call stack of the error

### statusCode

statusCode: number

Implementation of SCErrorResponse.statusCode

Inherited from SCError.statusCode

- Defined in node_modules/@openstapps/core/lib/index.d.ts:858

Generated using TypeDoc